<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.gyt.shr.mapper.CodeRecordMapper">

    <resultMap id="BaseResultMap" type="com.gyt.shr.entity.CodeRecord">
        <result property="fid"  column="fid" jdbcType="VARCHAR"/>
        <result property="fname" column="fname_l2" jdbcType="VARCHAR"/>
        <result property="fnumber" column="fnumber" jdbcType="VARCHAR"/>
<!--        <result property="isvalid" column="cfisvalid" jdbcType="INTEGER"/>-->
        <result property="code"     column="cfcode" jdbcType="VARCHAR"/>
        <result property="createTime" column="fcreateTime" jdbcType="DATE"/>
        <result property="expiresTime" column="fexpiresTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
--         cfisvalid as isvalid ,
        fid as fid, fname_l2 as fname, fnumber as fnumber, cfcode as code ,fcreateTime as createTime ,fexpiresTime as expiresTime
    </sql>



</mapper>
